Subject: bug#21474: emacs-25.0.50: compilation error in leim: Args out of

From: Noam Postavsky <[email-masked]>
Date: Sat, 26 Nov 2016 21:53:35 -0500

On Sat, Nov 26, 2016 at 6:15 PM, Rob Browning <[email-masked]> wrote:
> Noam Postavsky <[email-masked]> writes:
>
>> You could probably trim a bit, e.g. just the "Default REL_ALLOC to
>> 'no'" by itself should work, or a minimal set with REL_ALLOC=yes
>> should be listed at
>> https://lists.gnu.org/archive/html/emacs-devel/2016-10/msg00971.html.
>
> OK, well I'm happy to try to follow upstream preferences here if there
> are any.
>
> I'd imagined the set I listed might make any future cherry-picks easier
> since it hopefully leaves the tree much like current upstream for those
> files, but it could certainly be possible that minimizing the changes is
> preferable.

Current upstream will be released as 25.2 fairly soon, so there
shouldn't be too many future cherry-picks anyway. I thought maybe on
your end it would be easier to have a smaller patch set, or even just
configure with REL_ALLOC=no.